# paragrph Specification Sheet

Portable Object Compiler (c) 1997,98. All Rights Reserved.

# Paragraph

Inherits from: Object

Maturity Index: Experimental

## Class Description

A Paragraph associates a text instance with a text style.

## Method types

### Creation

- new
- withText:
- withText:style:
- copy
- free

### Accessing

- text
- textStyle
- text:
- textStyle:

### Format Conversions

- asString
- asText

### Printing

- printOn:

## Methods

### new

> +new

### withText:

> +withText:aText

### withText:style:

> +withText:aText style:aStyle

### copy

> -copy

### free

> -free

### text

> -text

### textStyle

> -textStyle

### text:

> -text:v

### textStyle:

> -textStyle:v

### asString

> -asString

### asText

> -asText

### printOn:

> -printOn:(IOD)aFile

Prints the Text for this instance. Returns the receiver.